The Gnumeric Manual
Prev |  | Next

# FORECAST

## Name

FORECAST --

## Synopsis

    FORECAST(x,known_y's,known_x's)

## Description

FORECAST function estimates a future value according to existing values using simple linear regression. The estimated future value is a y-value for a given x-value (@x).

If @known_x or @known_y contains no data entries or different number of data entries, FORECAST returns #N/A error. If the variance of the @known_x is zero, FORECAST returns #DIV/0 error.

This function is Excel compatible.

## Examples

Let us assume that the cells A1, A2, ..., A5 contain numbers 11.4, 17.3, 21.3, 25.9, and 40.1, and the cells B1, B2, ... B5 23.2, 25.8, 29.9, 33.5, and 42.7. Then

FORECAST(7,A1:A5,B1:B5) equals -10.859397661.

## See also

INTERCEPT, TREND.

Prev | Home | Next
FLOOR | Up | FREQUENCY